package DataSets;

import java.util.Hashtable;

import classes.AbstractCanvasObject;

/*
 * a class which contains one AbstractCpsObject and a corresponding Hashtable
 * for the properties "total Consumption", "total Produktion" and "number of activated Elements"
 * so far...
 */
public class GraphDataSet {
	Hashtable<String, PropertyDataSet> propertyTable;
	AbstractCanvasObject cpsObject;
	
	public GraphDataSet(AbstractCanvasObject obj){
		cpsObject = obj;
		propertyTable = new Hashtable<String, PropertyDataSet>();
	}
	
	public GraphDataSet(AbstractCanvasObject obj, Hashtable<String, PropertyDataSet> ht){
		cpsObject = obj;
		propertyTable = ht;
	}
	
	public void setObject(AbstractCanvasObject aco){
		cpsObject = aco;
	}
	
	public void setPropertyTable(Hashtable<String, PropertyDataSet> ht){
		propertyTable = ht;
	}
	
	public AbstractCanvasObject getObject(){
		return cpsObject;
	}
	
	public Hashtable<String, PropertyDataSet> getPropertytTable(){
		return propertyTable;
	}
}
